weka.core.pmml.jaxbbindings

## Class Discretize

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Discretize

-     public class Discretize
      extends java.lang.Object

  Java class for Discretize element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Discretize">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}DiscretizeBin" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
               <attribute name="defaultValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="mapMissingTo" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Discretize()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `java.lang.String` | `getDefaultValue()` Gets the value of the defaultValue property.
    `java.util.List<DiscretizeBin>` | `getDiscretizeBin()` Gets the value of the discretizeBin property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getField()` Gets the value of the field property.
    `java.lang.String` | `getMapMissingTo()` Gets the value of the mapMissingTo property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setDefaultValue(java.lang.String value)` Sets the value of the defaultValue property.
    `void` | `setField(java.lang.String value)` Sets the value of the field property.
    `void` | `setMapMissingTo(java.lang.String value)` Sets the value of the mapMissingTo property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Discretize

          public Discretize()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDiscretizeBin

          public java.util.List<DiscretizeBin> getDiscretizeBin()

      Gets the value of the discretizeBin property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the discretizeBin property.

      For example, to add a new item, do as follows:

              getDiscretizeBin().add(newItem);

      Objects of the following type(s) are allowed in the list `DiscretizeBin`

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the value of the defaultValue property.
      Returns:
        possible object is `String`

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String value)

      Sets the value of the defaultValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getField

          public java.lang.String getField()

      Gets the value of the field property.
      Returns:
        possible object is `String`

    - #### setField

          public void setField(java.lang.String value)

      Sets the value of the field property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMapMissingTo

          public java.lang.String getMapMissingTo()

      Gets the value of the mapMissingTo property.
      Returns:
        possible object is `String`

    - #### setMapMissingTo

          public void setMapMissingTo(java.lang.String value)

      Sets the value of the mapMissingTo property.
      Parameters:
        `value` - allowed object is `String`